org.apache.commons.jelly.expression.jexl

## Class JexlExpression

- java.lang.Object
- - org.apache.commons.jelly.expression.ExpressionSupport
  - - org.apache.commons.jelly.expression.jexl.JexlExpression

All Implemented Interfaces:
  Expression

    public class JexlExpression
    extends ExpressionSupport

Represents a Jexl expression which fully supports the Expression Language in JSTL and JSP along with some extra features like object method invocation.

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.expression.ExpressionSupport

`EMPTY_ITERATOR`

### Fields inherited from interface org.apache.commons.jelly.expression.Expression

`NULL`

### Constructor Summary

Constructors
Constructor and Description
`JexlExpression(org.apache.commons.jexl.Expression expression)`

### Method Summary

Methods
`Object` `evaluate(JellyContext context)` Evaluates the expression with the given context and returns the result
`String` `getExpressionText()`
`String` `toString()`

### Methods inherited from class org.apache.commons.jelly.expression.ExpressionSupport

`evaluateAsBoolean, evaluateAsIterator, evaluateAsString, evaluateRecurse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JexlExpression

    public JexlExpression(org.apache.commons.jexl.Expression expression)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getExpressionText

    public String getExpressionText()

Returns:
  the textual representation of this expression

#### evaluate

    public Object evaluate(JellyContext context)

Description copied from interface: `Expression`
Evaluates the expression with the given context and returns the result